summary refs log tree commit diff
path: root/home/.local/bin
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
committerJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
commitfa0436bd9f69083bdcb1fa7596dbe65f325124b2 (patch)
treeb7318e0e6ec8957632bbd918f19736bb971c1841 /home/.local/bin
parentAdd kshrc (diff)
downloadsrc-fa0436bd9f69083bdcb1fa7596dbe65f325124b2.tar.gz
src-fa0436bd9f69083bdcb1fa7596dbe65f325124b2.zip
Move nasd to shell script
Diffstat (limited to 'home/.local/bin')
-rwxr-xr-xhome/.local/bin/nasd9
1 files changed, 9 insertions, 0 deletions
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
new file mode 100755
index 00000000..203fdd2d
--- /dev/null
+++ b/home/.local/bin/nasd
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e -u
+
+dir=$(mktemp -d)
+echo 'bits 64' > $dir/input
+cat >> $dir/input
+nasm -o $dir/output $dir/input || true
+ndisasm -b 64 $dir/output || true
+rm -r $dir
le='2018-04-19 18:19:59 +0800'>2018-04-19eval: Variable assignments on functions are no longer persistentHerbert Xu 2018-04-19parser: Fix parameter expansion inside inner double quotesHerbert Xu 2018-04-19parser: Fix parsing of ${}Herbert Xu 2018-04-19man: correct typos, iff -> ifMartijn Dekker 2018-04-19expand: Do not quote backslashes in unquoted parameter expansionHerbert Xu 2018-04-19shell: Add subdir-objects to AM_INIT_AUTOMAKEJason Bowen 2018-04-19eval: Restore input files in evalcommandHerbert Xu 2018-04-19eval: Reap zombies after built-in commands and functionsHerbert Xu 2018-04-19redir: Fix typo in noclobber codeHerbert Xu 2018-04-19expand: Fix glibc glob(3) supportHerbert Xu 2018-04-02expand: Fix buffer overflow in expandmetaHerbert Xu 2018-04-02builtin: Move echo space/nl handling into print_escape_strHerbert Xu 2018-04-02builtin: Fix echo performance regressionHerbert Xu 2018-04-02expand: Fix ghost fields with unquoted $@/$*Herbert Xu 2018-04-02parser: Allow newlines within parameter substitutionHerbert Xu 2018-04-02expand: Fix bugs with words connected to the right of $@Herbert Xu 2018-03-25Revert "[BUILTIN] Remove unnecessary restoration of format string in printf"Herbert Xu 2018-03-22parser: Fix backquote support in here-document EOF markHerbert Xu